#!/bin/sh
set -e
[ -n "$DEBUG" ] && set -x

# loc=$1
<<<<<<< HEAD
# loc="45.4208,-75.6901"
=======
loc="Ottawa"
>>>>>>> 20ba2d87f75cbe6dd8d7ce93c4f6be43dcc59bfe
if [ -z "${loc}" ]; then
	# use /etc/localtime
	# loc=$(basename "$(readlink -f /etc/localtime)")
	# loc="${HOME_LAT},${HOME_LON}"
<<<<<<< HEAD
	# loc="45.4208,-75.6901"
=======
>>>>>>> 20ba2d87f75cbe6dd8d7ce93c4f6be43dcc59bfe
	loc="Ottawa"
fi

if [ -n "$REPORT" ]; then
	curl -s v2.wttr.in/"${loc}"?F | less
	exit 0
fi

# data="$(curl -s wttr.in/"${loc}"?format=j1)"
data="$(curl -s wttr.in/"${loc}"?format=j1)"

class=
case "$(echo "${data}" | jq -r '.current_condition[].weatherCode')" in
113) class="sunny" ;;
116) class="partlycloudy" ;;
119) class="cloudy" ;;
122) class="verycloudy" ;;
143|248|260) class="fog" ;;
176|263|266|293|296|353) class="lightrain" ;;
179|182|185|281|284|311|314|317|350|362|365|374|377) class="hail" ;;
200|386|389|392) class="thunder" ;;
227|320) class="lightsnow" ;;
230|329|332|335|338|371|395) class="heavysnow" ;;
299|302|305|308|356|359): class="heavyrain" ;;
323|326|368) class="snowrain" ;;
esac

echo "${data}" | jq \
	--raw-output \
	--unbuffered \
	--compact-output \
	--arg class "${class}" \
	--arg tooltip "$(curl -s v2.wttr.in/"${loc}"?ATFQ | tail -n5)" \
	'.current_condition[] | { text: .weatherDesc[0].value, percentage: (.temp_C | tonumber), class: $class, alt: $class, tooltip: ($tooltip) }'
